go-ring API Reference
OpenapiDevice Controls

Turn on a floodlight

Turns on a device’s floodlight.

PUT
/clients_api/doorbots/{device_id}/floodlight_light_on

Authorization

RingAccessToken
AuthorizationBearer <token>

Send an OAuth access token in the Authorization: Bearer header. Token exchange and refresh operations are described under Authentication.

In: header

Path Parameters

device_id*integer
Formatint64
Range1 <= value

Response Body

application/json

application/json

curl -X PUT "https://example.com/clients_api/doorbots/1/floodlight_light_on"
{}